HOLES(1)

NAME
holes - find runs of zero bytes

SYNOPSIS
holes [-b byte] [-n minlen] [-s] [files ...]

DESCRIPTION
holes looks for runs of zero bytes (a.k.a. holes) in the specified input files (or the standard input), and prints the start addresses (in hexadecimal) as well as the lengths (in decimal). When multiple input files are specified, holes prefixes each line with the file name.

The options are as follows:

-b byte
    Count runs of byte, a number between 0 and 255, instead of zero bytes.

-n minlen
    Change minimum size of holes reported. By default, only holes of at least 64 bytes are reported.

-s  Print a summary at the end how many percent of the file are runs of zeroes.

EXIT STATUS

SEE ALSO
fallocate(1), truncate(1), virt-sparsify(1)

AUTHORS
Leah Neukirchen <leah@vuxu.org>

LICENSE
holes is in the public domain.

To the extent possible under law, the creator of this work has waived all copyright and related or neighboring rights to this work.

http://creativecommons.org/publicdomain/zero/1.0/